"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.shouldIgnoreEsResponseError = void 0;
const IGNORED_ES_SEARCH_EXCEPTIONS = ["index_not_found_exception", "search_phase_execution_exception", "illegal_argument_exception"];
const shouldIgnoreEsResponseError = error => {
  return IGNORED_ES_SEARCH_EXCEPTIONS.includes(error.message);
};
exports.shouldIgnoreEsResponseError = shouldIgnoreEsResponseError;

//# sourceMappingURL=shouldIgnoreEsResponseError.js.map