import { Manager } from "../Manager";
import { IndexManager } from "../../settings";
import { ITaskResponseResult } from "@webiny/tasks";
import { IElasticsearchCreateIndexesTaskInput } from "./types";
export declare class CreateIndexesTaskRunner {
    private readonly manager;
    private readonly indexManager;
    constructor(manager: Manager<IElasticsearchCreateIndexesTaskInput>, indexManager: IndexManager);
    execute(matching: string | undefined, done: string[]): Promise<ITaskResponseResult>;
}
